#include <boost/python.hpp>
#include "example.hh"

BOOST_PYTHON_MODULE(libexample)
{
    using namespace boost::python;
    def("example",
        +[](GraphInterface& gi, std::any avmap)
        {
            gt_dispatch<>()
                ([&](auto& g, auto vmap){ example(g, vmap); },
                 all_graph_views, vertex_scalar_properties)
                (gi.get_graph_view(), avmap);
        });
}
