#include "graph_tool.hh"

#include <iostream>

using namespace graph_tool;
using namespace boost;
using namespace std;

template <typename Graph, typename VMap>
void example(Graph& g, VMap vmap)
{
    cout << "Running on a graph with " << num_vertices(g)
         << " vertices and " << num_edges(g)
         << " edges, with vertex properties given by:" << endl;

    for (auto v : vertices_range(g))
        cout <<  vmap[v] << " ";
    cout << endl;
}
